%define debug_package %{nil}

%define epoch   1

Name:           ocaml-camomile
Version:        0.8.5
Release:        %mkrel 7
Epoch:          %{epoch}
Summary:        Unicode library for OCaml
Group:          Development/OCaml
# Several files are MIT and UCD licensed, but the overall work is LGPLv2+
# and the LGPL/GPL supercedes compatible licenses.
# https://www.redhat.com/archives/fedora-legal-list/2008-March/msg00005.html
License:        LGPLv2+
URL:            https://github.com/yoriyuki/Camomile/wiki
Source0:        https://github.com/yoriyuki/Camomile/archive/rel-%{version}.zip
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-camlp4-devel

%description
Camomile is a Unicode library for ocaml. Camomile provides Unicode
character type, UTF-8, UTF-16, UTF-32 strings, conversion to/from
about 200 encodings, collation and locale-sensitive case mappings, and
more.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        data
Summary:        Data files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    data
The %{name}-data package contains data files for developing
applications that use %{name}.

%prep
%setup -q -n Camomile-rel-%{version}
rm -rf web camomile-test
mv Camomile/* ./

%build
autoconf
./configure --prefix=%{_prefix} --datadir=%{_datadir} --libdir=%{_libdir}
make
make dochtml
make man
strip tools/*.opt

%install
install -d -m 755 %{buildroot}%{_libdir}/ocaml
install -d -m 755 %{buildroot}%{_libdir}/ocaml/stublibs
install -d -m 755 %{buildroot}%{_bindir}
make install \
    prefix=%{buildroot}%{_prefix} \
    DATADIR=%{buildroot}%{_datadir} \
    DESTDIR=%{buildroot} \
    OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml

pushd tools
for f in *.opt ; do  install -m 0755 $f %{buildroot}%{_bindir}/${f%.opt} ; done
popd

%files
%doc README
%dir %{_libdir}/ocaml/camomile
%{_libdir}/ocaml/camomile/*.cmi
%{_libdir}/ocaml/camomile/*.cma
%{_libdir}/ocaml/camomile/META
%{_bindir}/camomile*
%{_bindir}/parse_*

%files devel
%doc README dochtml/*
%{_libdir}/ocaml/camomile/*.a
%{_libdir}/ocaml/camomile/*.cmx
%{_libdir}/ocaml/camomile/*.cmxa
%{_libdir}/ocaml/camomile/*.mli

%files data
%doc README
%{_datadir}/camomile


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 1:0.8.5-7.mga6
+ Revision: 1069781
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1:0.8.5-6.mga6
+ Revision: 1056276
- Rebuild for fix in ocaml

* Tue Feb 02 2016 pterjan <pterjan> 1:0.8.5-5.mga6
+ Revision: 932971
- Rebuild for new ocaml

* Wed Oct 21 2015 tv <tv> 1:0.8.5-4.mga6
+ Revision: 893252
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1:0.8.5-3.mga5
+ Revision: 740455
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.8.5-2.mga5
+ Revision: 683004
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1:0.8.5-1.mga5
+ Revision: 673968
- add missing BR
- update to 0.8.5

* Sat Oct 19 2013 umeabot <umeabot> 1:0.8.4-6.mga4
+ Revision: 533924
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 1:0.8.4-5.mga4
+ Revision: 475778
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1:0.8.4-4.mga3
+ Revision: 361207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1:0.8.4-3.mga3
+ Revision: 308586
- rebuild for ocaml-4.0.1

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1:0.8.4-2.mga3
+ Revision: 300051
- new rpm group for ocaml
- clean spec file

* Tue Jan 10 2012 blue_prawn <blue_prawn> 1:0.8.4-1.mga2
+ Revision: 194516
- updated to version 0.8.4

* Mon Oct 03 2011 shlomif <shlomif> 1:0.8.3-4.mga2
+ Revision: 151292
- Rebuild for the new ocaml, and resubmitting due to filenames containing percent signs
- Rebuild for correctly building with the files containing percent signs
- Upgraded to 0.8.3 - thanks to a patch from Malo

  + fwang <fwang>
    - rebuild for new ocaml

* Tue Mar 15 2011 saispo <saispo> 1:0.7.2-2.mga1
+ Revision: 72180
- Fix Epoch and Bump Release

* Tue Mar 15 2011 saispo <saispo> 1:0.7.2-1.mga1
+ Revision: 71897
- Go backward on 0.7.2

* Mon Mar 07 2011 saispo <saispo> 0.8.1-1.mga1
+ Revision: 66246
- imported package ocaml-camomile

